#ifndef Y_MESSAGE_CLIENT_H
#define Y_MESSAGE_CLIENT_H

struct Client;

#include <Y/y.h>
#include <Y/message/message.h>
#include <Y/object/object.h>

void           clientRegister (struct Client *);
void           clientClose (struct Client *);

int            clientGetID (struct Client *);
struct Client *clientFind (int id);

void           clientAddObject (struct Client *, struct Object *);
void           clientRemoveObject (struct Client *, struct Object *);

void           clientSendMessage (struct Client *, struct Message *);

#endif /* header guard */

/* arch-tag: 7a621d95-8378-4d45-8caf-4fd02a1188d7
 */
