#ifndef Y_LIBY_INTERNAL_H
#define Y_LIBY_INTERNAL_H

#include "libY.h"

/* display names are of the form:
 *  unix:/path/to/socket
 *  tcp://host:port
 */

#define MESSAGE_HEADER_LENGTH (4 * 8)

void libY_initialise ();
int libY_unixInitialise (const char *);
int libY_tcpInitialise (const char *);

void libY_iterate (int timeout);

void libY_finalise ();
void libY_unixFinalise ();
void libY_tcpFinalise ();

extern void (*libY_sendMessage) (struct Message *);
extern int  (*libY_recvMessage) (struct Message *, int);

#endif

/* arch-tag: 93b679fc-ffd2-46f2-8bdd-6a006b67dc92
 */
