#ifndef Y_CONTROL_CONTROL_H
#define Y_CONTROL_CONTROL_H

#include <Y/y.h>

void controlInitialise ();

#define CONTROL_WATCH_READ   (1<<1)
#define CONTROL_WATCH_WRITE  (1<<2)
#define CONTROL_WATCH_EXCEPT (1<<3)

void controlRegisterFileDescriptor (int fd, int watchMask, void *userData,
                   void (*callback)(int fd, int causeMask, void *userData));

void controlChangeFileDescriptorMask (int fd, int watchMask);

void controlUnregisterFileDescriptor (int fd);

int  controlTimerDelay (int minIntervalSeconds, int minIntervalMilliseconds,
                        void *userData, void (*callback)(void *userData));
void controlCancelTimerDelay (int id);

/* Run the server ;-) */
void controlRun ();

void controlShutdownY ();

void controlFinalise ();

#endif /* Y_CONTROL_CONTROL_H */

/* arch-tag: 56be15d9-2520-4b99-a82d-cbd922cf216a
 */
