
#ifndef Y_MODULES_MODULE_INTERFACE_H
#define Y_MODULES_MODULE_INTERFACE_H

#include <Y/y.h>
#include <Y/modules/module.h>

/* This is the interface that all modules should implement */

struct Module
{
  char *moduleName;
  char *name;
  void *handle;
  void *data;
};

int initialise (struct Module *, int, const char **);
int finalise   (struct Module *);

#endif

/* arch-tag: 4a52d978-8c2b-4664-979a-967527284ec7
 */
