
#ifndef Y_OBJECT_OBJECT_P_H
#define Y_OBJECT_OBJECT_P_H

#include <Y/y.h>
#include <Y/object/object.h>
#include <Y/object/class.h>
#include <Y/util/index.h>

struct Object
{
  int oid;
  struct Client *client;
  struct Class *c;
  struct Index *properties;
  struct Index *signals;
};

void objectInitialise (struct Object *, struct Class *);
void objectFinalise (struct Object *);

#endif /* header guard */

/* arch-tag: 5ff71bea-d068-4221-b46f-36caec802414
 */
