#ifndef Y_WIDGET_DESKTOP_H
#define Y_WIDGET_DESKTOP_H

struct Desktop;

#include <Y/y.h>
#include <Y/widget/widget.h>
#include <Y/widget/window.h>

struct Desktop * desktopCreate    ();
void             desktopDestroy   (struct Desktop *);
struct Widget *  desktopToWidget  (struct Desktop *);
struct Object *  desktopToObject  (struct Desktop *);

void desktopAddWindow    (struct Desktop *, struct Window *);
void desktopRaiseWindow  (struct Desktop *, struct Window *);
void desktopRemoveWindow (struct Desktop *, struct Window *);

void desktopCycleWindows (struct Desktop *, int direction);

#endif /* header guard */


/* arch-tag: afaeb21f-7145-4623-b10c-70d2f0795c2a
 */
